Dream Big with Focusrite - Win a dream recording weekend at Air Studios. Click here to enter

"The firmware installed on your Saffire is incompatible with this version of saffire control"

If you are getting this message when attempting to run the SaffireControl, you should upgrade the firmware. First of all, download the latest installer from our website.

Once installed, navigate to Applications/Saffire if on a Mac, or Start -> All Programs -> Focusrite Saffire on Windows, and run the Saffire firmware updater found here with the Saffire plugged in.

Once complete, you should now be up and running!